wnpa-sec-2019-03 · RTSE dissector crash

Summary

Name: RTSE dissector crash

Docid: wnpa-sec-2019-03

Date: January 8, 2019

Affected versions: 2.6.0 to 2.6.5, 2.4.0 to 2.4.11

Fixed versions: 2.6.6, 2.4.12

References:
Wireshark issue 15373
CVE-2019-5718

Details

Description

The RTSE dissector and other ASN.1 dissectors could crash. Discovered by Mateusz Jurczyk.

Impact

It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

Resolution

Upgrade to Wireshark 2.6.6, 2.4.12 or later.